#ifndef GPS_H
#define GPS_H

#include <QObject>

#include <qmobilityglobal.h>
QTM_BEGIN_NAMESPACE
class QGeoPositionInfo;
class QGeoPositionInfoSource;
#ifndef Q_WS_MAEMO_5
class QNetworkSession;
#endif
QTM_END_NAMESPACE

QTM_USE_NAMESPACE

class GPS : public QObject
{
    Q_OBJECT
public:
    explicit GPS(QObject *parent = 0,QWidget *mainwid = 0);

    double get_lat() { return latitude; }
    double get_lon() { return longitude; }

signals:
    void getOK_GPS();

public slots:
    void start();

private:
    QGeoPositionInfoSource *location;
    bool waitingForFix;
    QWidget *mwid;
    double longitude;
    double latitude;

private slots:
    void positionUpdated(const QGeoPositionInfo &info);

};

#endif // GPS_H
